Package org.apache.sling.discovery.commons.providers.spi

# Class LocalClusterView

java.lang.Object
org.apache.sling.discovery.commons.providers.DefaultClusterView
org.apache.sling.discovery.commons.providers.spi.LocalClusterView

All Implemented Interfaces:
  `org.apache.sling.discovery.ClusterView`

public class LocalClusterView extends DefaultClusterView

## Constructor Summary

Constructors
Constructor
Description
`LocalClusterView(String id, String localClusterSyncTokenId)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getLocalClusterSyncTokenId()`
`Set<Integer>`
`getPartiallyStartedClusterNodeIds()`
`boolean`
`hasPartiallyStartedInstances()`
`boolean`
`isPartiallyStarted(Integer clusterNodeId)`
`void`
`setPartiallyStartedClusterNodeIds(Collection<Integer> clusterNodeIds)`

### Methods inherited from class org.apache.sling.discovery.commons.providers.DefaultClusterView

`addInstanceDescription, equals, getId, getInstances, getLeader, getLocalInstance, hashCode, removeInstanceDescription, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LocalClusterView

public LocalClusterView(String id, String localClusterSyncTokenId)

## Method Details

### getLocalClusterSyncTokenId

public String getLocalClusterSyncTokenId()

### getPartiallyStartedClusterNodeIds

public Set<Integer> getPartiallyStartedClusterNodeIds()

### setPartiallyStartedClusterNodeIds

public void setPartiallyStartedClusterNodeIds(Collection<Integer> clusterNodeIds)

### isPartiallyStarted

public boolean isPartiallyStarted(Integer clusterNodeId)

### hasPartiallyStartedInstances

public boolean hasPartiallyStartedInstances()